package com.yd.dal.mapper.customer;

import com.github.pagehelper.Page;
import com.yd.dal.entity.customer.CustomerFortune;

public interface CustomerFortuneMapper {
    int deleteByPrimaryKey(Long id);

    int insert(CustomerFortune record);

    int insertSelective(CustomerFortune record);

    CustomerFortune selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(CustomerFortune record);

    int updateByPrimaryKey(CustomerFortune record);
    
    Page<CustomerFortune> selectByCustomerId(Long customerId);
}